=== debian/changelog ===
kajaani-kombat (0.6.6.6-2) unstable; urgency=low

  * Debian package 0.6.6.6-2 release. Fixes Load picture bug which crashed 0.6.6.6-1 package.

 -- Petteri Klemola <petteri@medusa.tutka.fi>  Tue,  8 Feb 2005 20:07:44 +0200

kajaani-kombat (0.6.6.6-1) unstable; urgency=low

  * Debian package of 0.6.6.6 release. This release adds chat, saving of options, threaded net communication and lots of minor fixes

 -- Petteri Klemola <petteri@medusa.tutka.fi>  Tue,  8 Feb 2005 18:56:07 +0200

kajaani-kombat (0.6-1) unstable; urgency=low

  * Debian package of 0.6 release. This releas features Character Select, Big Cannons and own soundfx for each character

 -- Petteri Klemola <petteri@medusa.tutka.fi>  Mon, 10 Jan 2005 12:43:47 +0200

kajaani-kombat (0.5-1) unstable; urgency=low

  * Initial debian package release. See http://kombat.kajaani.net/ChangeLog for changes from previous source-only releases.
  * 

 -- Petteri Klemola <petteri@medusa.tutka.fi>  Mon,  9 Aug 2004 14:44:27 +0300
