=== debian/control ===
Source: kajaani-kombat
Section: games
Priority: extra
Maintainer: Tommi Tervonen <tommi@medusa.tutka.net>
Standards-Version: 3.5.8
Build-Depends: debmake

Package: kajaani-kombat
Architecture: any
Depends: libsdl1.2debian,libsdl-image1.2,libsdl-net1.2,libsdl-ttf1.2,${shlibs:Depends}
Description: A remake of the classic arcade game Rampart (client-server).
 A remake of the classis arcade game Rampart, with the change
 of the medieval world to a space-world.
 Playable on one machine but also over the net with 2-4 players (2 players
 may always use the same machine).
